Bug 186530 - Unlock dialog box never appears if network auth is enabled
Unlock dialog box never appears if network auth is enabled
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2006-03-23 21:36 EST by Jarod Wilson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-20 14:08:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jarod Wilson 2006-03-23 21:36:01 EST
Description of problem:

With ldaps network auth enabled, I never see the unlock dialog box after the
gnome-screensaver kicks in and locks my desktop. The screen saver stops and I
see the mouse pointer, but never the unlock dialog. Dropping to a vt and looking
at ps output shows its running though.

Version-Release number of selected component (if applicable):

Comment 1 Otto Rey 2006-03-25 00:43:33 EST
I think that the problem is related to the bug 186444 . Setting options that add
butons or other things to screen savers cause that unlock dialog never show with
default screen saver (Floating Fedora Bubbles)
Comment 2 Jarod Wilson 2006-03-25 01:43:18 EST
Hm, interesting. I do get the Fedora-themed unlock dialog with the Floating
Fedora Bubbles screen saver on boxes I don't have network auth configured on.
Not sure if the two issues are directly related or just two very similar
issues... I'll try to beat on this more next week.
Comment 3 Jarod Wilson 2006-07-10 17:36:34 EDT
Looks like in rawhide we scrapped the themed unlock dialog box. Was that to
circumvent this issue or for other reasons? In any case, I can't reproduce with
rawhide, but this still happens on a fully-updated (with updates-testing
enabled) FC5 box with the themed unlock dialog, and enabling ldaps auth
definitely triggers the problem.
Comment 4 Ray Strode [halfline] 2007-08-20 14:08:55 EDT
Not sure why I never saw this report fly by, but we haven't used the theme
dialog for some time now, so I'm going to close this one out.

The themed dialog was a bit of a failed experiment.

Note You need to log in before you can comment on or make changes to this bug.